libabw::ABWContentParsingState Struct Reference documentation

libabw::ABWContentParsingState Struct Reference

`#include <ABWContentCollector.h>`

## Public Member Functions
| ABWContentParsingState ()
| ABWContentParsingState (const ABWContentParsingState &ps)
| ~ABWContentParsingState ()

## Public Attributes
bool | m_isDocumentStarted
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isHeaderOpened
bool | m_isFooterOpened
bool | m_isPageFrame
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_inParagraphOrListElement
ABWPropertyMap | m_currentSectionStyle
ABWPropertyMap | m_currentParagraphStyle
ABWPropertyMap | m_currentCharacterStyle
double | m_pageWidth
double | m_pageHeight
double | m_pageMarginTop
double | m_pageMarginBottom
double | m_pageMarginLeft
double | m_pageMarginRight
int | m_footerId
int | m_footerLeftId
int | m_footerFirstId
int | m_footerLastId
int | m_headerId
int | m_headerLeftId
int | m_headerFirstId
int | m_headerLastId
int | m_currentHeaderFooterId
librevenge::RVNGString | m_currentHeaderFooterOccurrence
ABWContext | m_parsingContext
bool | m_deferredPageBreak
bool | m_deferredColumnBreak
bool | m_isNote
int | m_currentListLevel
int | m_currentListId
bool | m_isFirstTextInListElement
std::stack< ABWContentTableState > | m_tableStates
std::stack< std::pair< int, std::shared_ptr< ABWListElement > > > | m_listLevels

## Constructor & Destructor Documentation

## ◆ ABWContentParsingState() [1/2]

libabw::ABWContentParsingState::ABWContentParsingState | ( |  | ) |

Referenced by ABWContentParsingState().

## ◆ ABWContentParsingState() [2/2]

libabw::ABWContentParsingState::ABWContentParsingState | ( | const ABWContentParsingState & | ps | ) |

## ◆ ~ABWContentParsingState()

libabw::ABWContentParsingState::~ABWContentParsingState | ( |  | ) |

## Member Data Documentation

## ◆ m_currentCharacterStyle

ABWPropertyMap libabw::ABWContentParsingState::m_currentCharacterStyle

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentHeaderFooterId

int libabw::ABWContentParsingState::m_currentHeaderFooterId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentHeaderFooterOccurrence

librevenge::RVNGString libabw::ABWContentParsingState::m_currentHeaderFooterOccurrence

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentListId

int libabw::ABWContentParsingState::m_currentListId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentListLevel

int libabw::ABWContentParsingState::m_currentListLevel

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentParagraphStyle

ABWPropertyMap libabw::ABWContentParsingState::m_currentParagraphStyle

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_currentSectionStyle

ABWPropertyMap libabw::ABWContentParsingState::m_currentSectionStyle

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_deferredColumnBreak

bool libabw::ABWContentParsingState::m_deferredColumnBreak

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_deferredPageBreak

bool libabw::ABWContentParsingState::m_deferredPageBreak

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_footerFirstId

int libabw::ABWContentParsingState::m_footerFirstId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_footerId

int libabw::ABWContentParsingState::m_footerId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_footerLastId

int libabw::ABWContentParsingState::m_footerLastId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_footerLeftId

int libabw::ABWContentParsingState::m_footerLeftId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_headerFirstId

int libabw::ABWContentParsingState::m_headerFirstId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_headerId

int libabw::ABWContentParsingState::m_headerId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_headerLastId

int libabw::ABWContentParsingState::m_headerLastId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_headerLeftId

int libabw::ABWContentParsingState::m_headerLeftId

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_inParagraphOrListElement

bool libabw::ABWContentParsingState::m_inParagraphOrListElement

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isDocumentStarted

bool libabw::ABWContentParsingState::m_isDocumentStarted

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isFirstTextInListElement

bool libabw::ABWContentParsingState::m_isFirstTextInListElement

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isFooterOpened

bool libabw::ABWContentParsingState::m_isFooterOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isHeaderOpened

bool libabw::ABWContentParsingState::m_isHeaderOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isListElementOpened

bool libabw::ABWContentParsingState::m_isListElementOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isNote

bool libabw::ABWContentParsingState::m_isNote

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isPageFrame

bool libabw::ABWContentParsingState::m_isPageFrame

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isPageSpanOpened

bool libabw::ABWContentParsingState::m_isPageSpanOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isParagraphOpened

bool libabw::ABWContentParsingState::m_isParagraphOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isSectionOpened

bool libabw::ABWContentParsingState::m_isSectionOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_isSpanOpened

bool libabw::ABWContentParsingState::m_isSpanOpened

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_listLevels

std::stack<std::pair<int, std::shared_ptr<ABWListElement> > > libabw::ABWContentParsingState::m_listLevels

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageHeight

double libabw::ABWContentParsingState::m_pageHeight

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageMarginBottom

double libabw::ABWContentParsingState::m_pageMarginBottom

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageMarginLeft

double libabw::ABWContentParsingState::m_pageMarginLeft

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageMarginRight

double libabw::ABWContentParsingState::m_pageMarginRight

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageMarginTop

double libabw::ABWContentParsingState::m_pageMarginTop

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_pageWidth

double libabw::ABWContentParsingState::m_pageWidth

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_parsingContext

ABWContext libabw::ABWContentParsingState::m_parsingContext

Referenced by ABWContentParsingState(), and ABWContentParsingState().

## ◆ m_tableStates

std::stack<ABWContentTableState> libabw::ABWContentParsingState::m_tableStates

Referenced by ABWContentParsingState(), and ABWContentParsingState().

The documentation for this struct was generated from the following files:

- ABWContentCollector.h
- ABWContentCollector.cpp